Apply an asset package ERROR

111
3
Jump to solution
06-10-2022 03:57 AM
MariánKolpák
New Contributor II

HI,

I have problem with use Asset Package on new blank file geodatabase utility network created. Im trying to load data and domain network from UNSolutions - concretly GasAndpipelineUtilityNetwork_v1.0 and Gas_UPDM_AssetPackage_v1.0

Environments:

ArcGIS Pro 2.9.0

untools 2.9.2

GP Tool: Apply Asset Package

It returns me this message:

Snímek obrazovky 2022-06-10 081957.png

 There is one ERROR and several warnings. First of all i will need to resolve an error.

ERROR: 160526, WARNINGS see on printscreen + one warning is in Czech language, i sent the number: WARNNING: 002553 related in this topics:

160526: No starting points found.—ArcGIS Pro | Documentation

002553: One or more subnetworks failed to update.—ArcGIS Pro | Documentation

Do you have somebody an idea where is the problem? Thank you.

Marian

0 Kudos
1 Solution

Accepted Solutions
JSchroeder
Esri Contributor

Hi Marian,

The current version of the UPDM solution is 2.1. This should be used with ArcGIS Pro 2.9 and is currently only available for download in the ArcGIS Online Solutions app. Future versions of the Solutions app in ArcGIS Enterprise will include the newest version, but for now, the version available in the Enterprise Solutions app is currently out of date.

The solution documentation and link for deployment is located here: https://doc.arcgis.com/en/arcgis-solutions/latest/reference/introduction-to-gas-and-pipeline-referen...

I recommend downloading this new version and going through the steps again. Please let me know if you encounter any errors after doing so.

View solution in original post

0 Kudos
3 Replies
JSchroeder
Esri Contributor

Hi Marian,

The current version of the UPDM solution is 2.1. This should be used with ArcGIS Pro 2.9 and is currently only available for download in the ArcGIS Online Solutions app. Future versions of the Solutions app in ArcGIS Enterprise will include the newest version, but for now, the version available in the Enterprise Solutions app is currently out of date.

The solution documentation and link for deployment is located here: https://doc.arcgis.com/en/arcgis-solutions/latest/reference/introduction-to-gas-and-pipeline-referen...

I recommend downloading this new version and going through the steps again. Please let me know if you encounter any errors after doing so.

0 Kudos
MariánKolpák
New Contributor II

Hello,

thank you for additional information. I have tired to deploy this version of asset package with data from this package, rather v2.1. Everything seems, that is running in this version. I tryed to combine data from this package with tools form older one at first. It seems that it is not recommended. I have some experiences with working with varyous versions of asset package, e.a:

- old asset package tools are not compatible with data  from newest version

- upgrade assset package version dont help and leads to more errors

- in asset package v2.1 is some steps with location refferencing licensed tools. I spent a lot of time to achieve and deploy this license. It seems thet is some additional functionality and I dont know what is going on, but it is possible to jump this steps

You said that Enterprise version of gasandpipeline solution will be avaliable in future. Does it mean that this 2.1 is not posiible to deploy in Enterpise environment?

Thank you.

Marian

0 Kudos
JSchroeder
Esri Contributor

Hi @MariánKolpák,

You are correct that you should not try to use outdated package tools with the latest version of the solution, which is v2.1. The documentation for Utility Network Package Tools (untools) is here and will soon be updated for the latest version of the tools, which is currently 2.9.3.This doc site has FAQs, etc. to help get started.

I recommend installing untools 2.9.3 or upgrading to this version to work with this latest version of  Gas and Pipeline Referencing Utility Network Foundation v2.1.

Regarding your last question, I admit this can be confusing. The 2.1 version is the latest version, and is currently only available in the ArcGIS Online solutions app. This has nothing to do with the target environment where you will install the Utility Network. The Utility Network will only work with ArcGIS Enterprise as Online does not have the advanced features necessary to support it. The confusing part is that once we release a solution that ships with ArcGIS Enterprise, it is locked at this version. The solutions app which is in Enterprise is not dynamic and will be stuck at the original version which is now not current. In ArcGIS Online we have the ability to update solutions which is where the current version sits. In the future, we will be upgrading the Enterprise Solutions app to allow us to update the solution to a new version, but for now we are using Online as the download method.

To reiterate, the Solutions app and deploying the solution in ArcGIS Online (copying the zipped Desktop Application Template - which is a Pro Project), is only the release/download method. Once deployed to ArcGIS Online, you download and unzip the Desktop Application Template and follow the tasks in the Pro Project to either test the functionality of the UN with a File GDB, or deploy the Utility Network to an ArcGIS Enterprise Environment.

Hopefully this helps, and I'm sorry for any confusion.

0 Kudos